Listar documentos de cobro
curl --request GET \
--url https://api.cobrix.co/api/v1/invoices \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cobrix.co/api/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.cobrix.co/api/v1/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>",
"provider_id": "<string>",
"reference": "<string>",
"status": "CREATED",
"remarks": "<string>",
"metadata": {}
}
],
"current_page": 123,
"from": 123,
"last_page": 123,
"per_page": 123,
"to": 123,
"total": 123
}{
"message": "Unauthenticated.",
"code": 10002,
"code_name": "authentication_error"
}{
"message": "La llave API no tiene permiso para realizar esta operación.",
"code": 10005,
"code_name": "forbidden"
}{
"message": "Demasiadas solicitudes. Espera el tiempo indicado en Retry-After e intenta nuevamente.",
"code": 10029,
"code_name": "rate_limit_error"
}API pública de documentos de cobro
Listar documentos de cobro
Devuelve una página de documentos del partner. Requiere public_invoices:read.
GET
/
v1
/
invoices
Listar documentos de cobro
curl --request GET \
--url https://api.cobrix.co/api/v1/invoices \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cobrix.co/api/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.cobrix.co/api/v1/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>",
"provider_id": "<string>",
"reference": "<string>",
"status": "CREATED",
"remarks": "<string>",
"metadata": {}
}
],
"current_page": 123,
"from": 123,
"last_page": 123,
"per_page": 123,
"to": 123,
"total": 123
}{
"message": "Unauthenticated.",
"code": 10002,
"code_name": "authentication_error"
}{
"message": "La llave API no tiene permiso para realizar esta operación.",
"code": 10005,
"code_name": "forbidden"
}{
"message": "Demasiadas solicitudes. Espera el tiempo indicado en Retry-After e intenta nuevamente.",
"code": 10029,
"code_name": "rate_limit_error"
}Authorizations
Llave cbx_live con scope de documentos públicos.
Query Parameters
Required range:
x >= 1Available options:
CREATED, PAID, CONCILIATED, PAID_FROM_PROVIDER, DELETE_FROM_PROVIDER, FAILED Available options:
created_at, -created_at 
